> ## Documentation Index
> Fetch the complete documentation index at: https://docs.posta.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Download asset version

> Returns a redirect (302) to the Asset Version.



## OpenAPI

````yaml GET /assets/{id}/versions/{versionId}/download
openapi: 3.0.0
info:
  title: Posta API
  description: Posta API
  version: '2024-07-30'
servers:
  - url: https://api.posta.co
    description: Posta API endpoint
    variables: {}
security: []
tags:
  - name: Letters
  - name: Assets
  - name: Asset Versions
paths:
  /assets/{id}/versions/{versionId}/download:
    get:
      tags:
        - Asset Versions
      summary: Download asset version
      description: Returns a redirect (302) to the Asset Version.
      operationId: downloadAssetVersion
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            The unique identifier of the Asset. Format: 'ast_' followed by
            alphanumeric string.
          schema:
            type: string
        - name: versionId
          in: path
          required: true
          description: >-
            The unique identifier of the Asset Version. Format: 'astv_' followed
            by alphanumeric string.
          schema:
            type: string
      responses:
        '302':
          description: >-
            The URL of the requested resource has been changed temporarily. The
            new URL is given in the response.
          headers:
            location:
              required: true
              description: >-
                The Location header contains the URL where the status of the
                long running operation can be checked.
              schema:
                type: string
        '400':
          description: The server could not understand the request due to invalid syntax.
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '401':
          description: Access is unauthorized.
        '403':
          description: Access is forbidden.
        '429':
          description: Client error
          headers:
            P-RateLimit-Limit:
              required: false
              schema:
                type: integer
            P-RateLimit-Remaining:
              required: false
              schema:
                type: integer
            P-RateLimit-Reset:
              required: false
              schema:
                type: string
                format: date-time
        '500':
          description: Server error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ValidationError:
      type: object
      properties:
        errors:
          type: object
          description: Errors object is representing the request field validation errors
      allOf:
        - type: object
          required:
            - type
            - title
            - detail
            - status
          properties:
            type:
              type: string
              description: The type of the error
            title:
              type: string
              description: A brief summary of the error
            detail:
              type: string
              description: A detailed description of the error
            status:
              type: number
              enum:
                - 400
              description: The HTTP status code
          description: RFC 7807 problem details object
      description: Request validation error response
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````